sata_set_spd_needed
Prev | Chapter 5. libata Core Internals | Next

## Name

sata_set_spd_needed — is SATA spd configuration needed

## Synopsis

`int sata_set_spd_needed (` | struct ata_link * | link`)`;

## Arguments

`link`

  Link in question

## Description

Test whether the spd limit in SControl matches `link`->sata_spd_limit. This function is used to determine whether hardreset is necessary to apply SATA spd configuration.

## LOCKING

Inherited from caller.

## RETURNS

1 if SATA spd configuration is needed, 0 otherwise.

Prev | Up | Next
sata_down_spd_limit | Home | ata_down_xfermask_limit